"""
Definitions of fitting feedback.
"""


class Feedback(object):
    """
    Feedback Baseclass 
    """
    def __init__(self):
        return None
    
    def apply_to(self, system):
        """
        Set the system's parameters to be the ones from the fitting feedback.
        """
        self.set_value(system)
        self.set_priors(system)
        self.set_posteriors(system)
    
    def set_values(self, system):
        pass
    
    def set_priors(self, system):
        pass
    
    def set_posteriors(self, system):
        pass
    
    def draw_from_posteriors(self, size=1):
        pass
    
    def __str__(self):
        return ""